package com.brilliance.isc.bo.model;

import com.brilliance.isc.bo.Eca;
import com.brilliance.isc.bo.Ecb;
import com.brilliance.isc.common.cfamag.common.ICfaRecgrp;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Ecagrp extends AbstractCommonVo   implements ICfaRecgrp<Eca> {

    private Eca bas;

    private List<Ecb> dcl;


    @Override
    public void reset() {
        if(bas == null) {
            bas = new Eca();
        }
        if(dcl == null) {
            dcl = new ArrayList<>();
        }
        dcl.forEach(Ecb -> Ecb.reset());
    }
}
